#!/bin/bash
#141203 Sergey Urushkin
#150914 sfs
_do() {
#if [ "`id -u`" = "0" ];then
#if [ "$1" = "root" ];then
if [ true ];then
[ "$1" ] && U="$1" || U="$USER"
yad --title="Смена пароля пользователя" \
    --text=" Смена пароля пользователя <b>$U</b>:" \
    --image="gtk-dialog-authentication" \
    --window-icon="gtk-dialog-authentication" \
    --fixed --image-on-top --center \
    --form \
    --field="Новый:H" \
    --field="Повтор:H" \
    --hide-text \
    --button="Изменить пароль"!gtk-dialog-authentication!"Изменить пароль"  \
    --button=gtk-cancel  \
    --separator='\n' | sudo passwd "$U" #>/dev/null
else
yad --title="Смена пароля" \
    --text=" Смена пароля <b>$U</b>:" \
    --image="gtk-dialog-authentication" \
    --window-icon="gtk-dialog-authentication" \
    --fixed --image-on-top --center \
    --form \
    --field="Текущий:H" \
    --field=:LBL \
    --field="Новый:H" \
    --field="Повтор:H" \
    --hide-text \
    --button="Изменить пароль"!gtk-dialog-authentication!"Изменить пароль"  \
    --button=gtk-cancel  \
    --separator='\n' |sed -n '1p;3p;4p'| sudo passwd >/dev/null
fi

TLPWSTATUS=("${PIPESTATUS[@]}")

if [ ${TLPWSTATUS[0]} -eq 0 ]; then
    if [ ${TLPWSTATUS[1]} -eq 0 ]; then
notify-send -i "Пароль $U изменен"
    else
yad --title="Смена пароля" \
    --text="Ошибка при смене пароля" \
    --image="password" \
    --icon="password" \
    --button="Повторить:0" \
    --button="Выход:1" \
    --buttons-layout=center &&
_do "$1"
    fi
fi
}

_do "$1"

